Package com.io7m.cardant.protocol.inventory

# Record Class CAIResponseLocationPut

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAIResponseLocationPut

Record Components:
  `requestId` - The request ID
  `data` - The returned location

All Implemented Interfaces:
  `CAProtocolMessageType`, `CAIMessageType`, `CAIResponseType`, `com.io7m.hibiscus.api.HBMessageType`, `com.io7m.hibiscus.api.HBResponseType`

public record CAIResponseLocationPut(UUID requestId, CALocation data) extends Record implements CAIResponseType

See Also:
  - `CAICommandLocationPut`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAIResponseLocationPut(UUID requestId, CALocation data)`
  Creates an instance of a `CAIResponseLocationPut` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CALocation`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAIResponseLocationPut

    public CAIResponseLocationPut(UUID requestId, CALocation data)
    Creates an instance of a `CAIResponseLocationPut` record class.
    Parameters:
      `requestId` - the value for the `requestId` record component
      `data` - the value for the `data` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Specified by:
      `requestId` in interface `CAIResponseType`
    Returns:
      the value of the `requestId` record component

  - ### data

    public CALocation data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component